Skip to content
payrocdevelopers

Retrieve processing terminal

Browse API reference

GET/processing-terminals/{processingTerminalId}getProcessingTerminal

Important: You can retrieve a processing terminal only if the terminal order was created using the Payroc API.

Use this method to retrieve information about a processing terminal.

To retrieve a processing terminal, you need its processingTerminalId. Our gateway returned the processingTerminalId in the response of the Create Terminal Order method.

Note: If you don't have the processingTerminalId, use our Retrieve Terminal Order method or our List Processing Terminals method to search for the processing terminal.

Our gateway returns the following information about the processing terminal:

  • Status indicating whether the terminal is active or inactive.
  • Configuration settings, including gateway settings and application settings.
  • Features, receipt settings, and security settings.
  • Devices that use the processing terminal's configuration.

Parameters

NameInTypeDescription
processingTerminalIdRequiredpathstring

Unique identifier that we assigned to the terminal.

Responses

Successful request. Returns the processing terminal.

200 OK · application/json
{
  "applicationSettings": {
    "clerkPrompt": false,
    "invoiceNumberPrompt": true
  },
  "batchClosure": {
    "batchCloseTime": "23:40",
    "batchCloseType": "automatic"
  },
  "devices": [
    {
      "communicationType": "bluetooth",
      "manufacturer": "Ingenico",
      "model": "Axium Dx4000 Tsys",
      "serialNumber": "DX400-1234"
    }
  ],
  "features": {
    "ebt": {
      "ebtType": "foodStamp",
      "enabled": true,
      "fnsNumber": "3456789"
    },
    "enhancedProcessing": {
      "enabled": true,
      "shippingAddressMode": "fullAddress",
      "transactionDataLevel": "level2"
    },
    "offlinePayments": true,
    "paymentLinks": {
      "enabled": true,
      "footerNotes": "Thank you for your business.",
      "logoUrl": "https://www.example.com/logo.png"
    },
    "pinDebitCashback": false,
    "preAuthorizations": true,
    "recurringPayments": true,
    "tips": {
      "enabled": false
    }
  },
  "gateway": {
    "gateway": "payroc",
    "terminalTemplateId": "Roc Services_DX8000"
  },
  "processingTerminalId": "011234001",
  "program": "Payroc Cloud",
  "receiptNotifications": {
    "emailReceipt": true,
    "smsReceipt": false
  },
  "security": {
    "avsLevel": "fullAddress",
    "avsPrompt": true,
    "cvvPrompt": true,
    "tokenization": false
  },
  "status": "active",
  "taxes": [
    {
      "taxLabel": "Sales Tax",
      "taxRate": 6
    }
  ],
  "timezone": "Pacific/Midway"
}
Response schema · 52 of 63 fields
  • applicationSettingsobjectrequired
    Object that contains the application settings for the solution.
    • clerkPromptboolean
      Indicates if the terminal should prompt the clerk, for example, if the terminal should prompt when the clerk needs to enter an amount on the terminal.
    • invoiceNumberPromptboolean
      Indicates if the terminal should prompt the clerk to provide an invoice number with a sale.
  • batchClosureobjectrequired
    Polymorphic object that contains information about when and how the terminal closes the batch. The value of the batchCloseType field determines which variant you should use: automatic Terminal automatically closes the batch at a specific time each day. manual Merchant uses the terminal to manually close the batch.
    • automaticobject
      Indicates how authorized transactions will be batched for settlement
      • batchCloseTimestringrequired
        The time, within the specified timezone, at which the batch automatically closes≤ 5 chars
      • batchCloseTypestringrequired
        Indicates whether batch settlement of authorized transactions are automatically or manually closedautomatic
    • manualobject
      Indicates how authorized transactions will be batched for settlement
      • batchCloseTypestringrequired
        Indicates whether batch settlement of authorized transactions are automatically or manually closedmanual
  • devicesobject[]
    Array of device objects. Each object contains information about a device using the processing terminal's configuration.0–1 items
    • communicationTypestring
      Indicates how the device communicates with its host.≤ 9 charsbluetoothcellularethernetwifi
    • manufacturerstringrequired
      Manufacturer of the terminal.≤ 100 chars
    • modelstringrequired
      Model of the terminal.≤ 100 chars
    • serialNumberstringrequired
      Serial number of the terminal.≤ 45 chars
  • featuresobjectrequired
    Object that contains the feature settings for the terminal.
    • ebtobjectrequired
      Polymorphic object that indicates if the terminal accepts EBT transactions. The value of the enabled field determines which variant you should use: true Terminal allows EBT transactions. false Terminal doesn't allow EBT transactions.
      • option 1object
        Object that contains details about EBT transactions.+3 more fields at deeper levels — see the full spec
      • option 2object
        Object that contains details about EBT transactions.+1 more fields at deeper levels — see the full spec
    • enhancedProcessingobjectrequired
      Object that contains details about level two and level three transactions.
      • enabledbooleanrequired
        Indicates if the terminal can run level two and level three transactions.
      • shippingAddressModestring
        Indicates the address information that the clerk must provide to qualify for level two or level three data. The value is one of the following: fullAddress The clerk must provide the full address for the transaction to qualify. postalCode The clerk must provide a postal code for the transaction to qualify.≤ 11 charsfullAddresspostalCode
      • transactionDataLevelstring
        Indicates if the terminal supports level two or level three transactions.≤ 6 charslevel2level3
    • offlinePaymentsboolean
      Indicates if the terminal can accept payments when it can't connect to the gateway. For more information about offline processing, go to Offline Processing.
    • paymentLinksobject
      Object that contains details about payment links.
      • enabledbooleanrequired
        Indicates if the terminal supports payment links.
      • footerNotesstring
        String that the merchant wants to display on the footer of their payment link email.≤ 2000 chars
      • logoUrlstring
        URL of the logo image that the merchant wants to display in their payment link email.≤ 200 chars
    • pinDebitCashbackbooleanrequired
      Indicates if the terminal prompts for cashback on PIN debit transactions.
    • preAuthorizationsboolean
      Indicates if the terminal can run pre-authorizations.
    • recurringPaymentsboolean
      Indicates if the terminal can run repeat payments. For more information about repeat payments, go to Payment Plans.
    • tipsobject
      Polymorphic object that indicates if the terminal accepts tips. The value of the enabled field determines which variant you should use: true Terminal allows tips. false Terminal doesn't allow tips.
      • option 1object
        Tip settings+6 more fields at deeper levels — see the full spec
      • option 2object
        Tip settings+1 more fields at deeper levels — see the full spec
  • gatewayobject
    Polymorphic object that contains the gateway settings for the solution.
    • option 1object
      Object that contains the gateway settings for the solution.
      • gatewaystringrequired
        Name of the gateway that processes the transactions.payroc
      • terminalTemplateIdstringrequired
        Unique identifier of the gateway terminal template.≤ 50 chars
  • processingTerminalIdstringrequired
    Unique identifier that we assigned to the processing terminal.
  • programstring
    Name of the product and its setup.≤ 50 chars
  • receiptNotificationsobject
    Object that indicates if the terminal can send email receipts or text receipts.
    • emailReceiptboolean
      Indicates if the terminal can send receipts by email.
    • smsReceiptboolean
      Indicates if the terminal can send receipts by text message.
  • securityobject
    Object that contains the tokenization settings and AVS settings for the terminal.
    • avsLevelstring
      Indicates the level of AVS details that the terminal should prompt for.≤ 11 charsfullAddresspostalCode
    • avsPromptbooleanrequired
      Indicates if the terminal should prompt for Address Verification Service (AVS) details when running a transaction.
    • cvvPromptbooleanrequired
      Indicates if the terminal should prompt for a Card Verfication Value (CVV) when running a transaction.
    • tokenizationbooleanrequired
      Indicates if the terminal can tokenize customer's payment details. For more information about tokenization, go to Tokenization.
  • statusstringrequired
    Indicates if the processing terminal is active.≤ 8 charsactiveinactive
  • taxesobject[]
    Array of tax objects that contains the taxes that apply to the merchant's transactions.0–3 items
    • taxLabelstringrequired
      Short description of the tax rate, for example, "Sales Tax".≤ 10 chars
    • taxRatenumberdoublerequired
      Rate of tax that the terminal applies to each transaction.0–99.999
  • timezonestringrequired
    Indicates the timezone within which transactions will be processed for this terminal≤ 28 charsPacific/MidwayPacific/HonoluluAmerica/AnchorageAmerica/Los_AngelesAmerica/DenverAmerica/PhoenixAmerica/ChicagoAmerica/Indiana/Indianapolis+1 more

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer